// MediaItem.h
// MediaItem class represents an image or a video.
#import <Foundation/Foundation.h>

// the type of media this MediaItem represents
typedef enum _mediaType
{
   MediaTypeImage, // MediaItem represents an image
   MediaTypeVideo // MediaItem represents a video
} MediaType;

@interface MediaItem : NSObject <NSCoding>
{
   MediaType type; // the type of the MediaItem
   NSString *description; // a description of the MediaItem
   id data; // the media, either an image or a video
} // end instance variable declaration

// declare type, description and data as properties
@property MediaType type;
@property (nonatomic, retain) NSString *description;
@property (nonatomic, retain) id data;

// creates a new MediaItem with the given type, description and data
- (id)initWithType:(MediaType)theType description:
   (NSString *)theDescription data:(id)theData;
@end // end interface MediaItem


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

