// MediaItem.m
// MediaItem class implementation.
#import "MediaItem.h"

@implementation MediaItem

@synthesize type; // generate get and set methods for type
@synthesize description; // generate get and set methods for description
@synthesize data; // generate get and set methods for data

// initalize the Media type with the given type, description and data
- (id)initWithType:(MediaType)theType description:
(NSString *)theDescription data:(id)theData
{
   // if the superclass initializes properly
   if (self = [super init])
   {
      self.type = theType; // update type with the given type
      self.description = theDescription; // update description
      self.data = theData; // update data with the given data
   } // end if
   
   return self; // return this object
} // end method initWithType:description:data:

// initialize the MediaItem with the given NSCoder
- (id)initWithCoder:(NSCoder *)decoder
{
   // if the superclass initializes properly
   if (self = [super init])
   {
      // get the type from the NSCoder
      self.type = [decoder decodeIntForKey:@"type"];
      
      // get the description from the NSCoder
      self.description = [decoder decodeObjectForKey:@"description"];
      
      // get the data from the NSCoder
      self.data = [decoder decodeObjectForKey:@"data"];
   } // end if
   
   return self; // return this object
} // end method initWithCoder:

// encode this object into the given NSCoder
- (void)encodeWithCoder:(NSCoder *)coder
{
   [coder encodeInt:type forKey:@"type"]; // encode type
   
   // encode description
   [coder encodeObject:description forKey:@"description"];
   [coder encodeObject:data forKey:@"data"]; // encode data
} // end method encodeWithCoder:
@end // end class MediaItem


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

