// MediaItemCreator.h
// Presents the user with an interface for creating a MediaItem.
#import <UIKit/UIKit.h>
#import "MediaItem.h"

@protocol NameChooserDelegate;

@interface MediaItemCreator : UIViewController
{
   id <NameChooserDelegate> delegate; // this class's delegate
   IBOutlet UITextField *textField; // text field where user enters a name
   NSURL *media; // the video
} // end instance variable declaration

// declare delegate and media as properties
@property (nonatomic, assign) id <NameChooserDelegate> delegate;
@property (nonatomic, retain) NSURL *media;

// called when the user is finished naming the media
- (IBAction)finishedNaming:sender;
@end // end interface NameChooser

// NameChooserDelegate
@protocol NameChooserDelegate

// informs the delegate that this object has finished creating a MediaItem
- (void)mediaItemCreator:(MediaItemCreator *)creator didCreateMediaItem:
   (MediaItem *)item;
@end // end protocol NameChooserDelegate


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

