// SlideshowCell.h
// UITableViewCell for previewing a slideshow
// Implementation in SlideshowCell.m
#import <UIKit/UIKit.h>

@protocol SlideshowCellDelegate;

@interface SlideshowCell : UITableViewCell
{
   id <SlideshowCellDelegate> delegate; // this class's delegate
   UIImageView *thumbnail; // the first slide in the slideshow
   UILabel *title; // the slideshow's title
} // end instance variable declarations

// declare delegate, thumbnail and title as properties
@property (nonatomic, assign) id <SlideshowCellDelegate> delegate;
@property (nonatomic, readonly) UIImageView *thumbnail;
@property (nonatomic, readonly) UILabel *title;

- (void)editSlideshow; // called when the user touches the edit button
- (void)playSlideshow; // called when the user touches the play button
@end // end interface SlideshowCell

@protocol SlideshowCellDelegate

// informs delegate that the edit button was touched
- (void)slideshowCellDidSelectEditButton:(SlideshowCell *)cell;

// informs delegate that the play button was touched
- (void)slideshowCellDidSelectPlayButton:(SlideshowCell *)cell;
@end // end protocol SlideshowCellDelegate



/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

