//
//  SlideshowAppDelegate.m
//  Slideshow
//
//  Created by Eric Kern on 6/19/09.
//  Copyright Deitel & Associates Inc. 2009. All rights reserved.
//

#import "EnhancedSlideshowAppDelegate.h"
#import "RootViewController.h"


@implementation EnhancedSlideshowAppDelegate

@synthesize window;
@synthesize navigationController;


#pragma mark -
#pragma mark Application lifecycle

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
    // Override point for customization after app launch    
   
   [window addSubview:[navigationController view]];
   [window makeKeyAndVisible];
}

// called when the application is going to close
- (void)applicationWillTerminate:(UIApplication *)application
{
   // creates list of valid directories for saving a file
   NSArray *paths = NSSearchPathForDirectoriesInDomains(
      NSDocumentDirectory, NSUserDomainMask, YES);
   
   // get the first directory because we care about only one
   NSString *directory = [paths objectAtIndex:0];
   
   // concatenate the file name "data.slideshows" to the end of the path
   NSString *filePath = [[NSString alloc] initWithString:
      [directory stringByAppendingPathComponent:@"data.slideshows"]];
   
   // get the root view controller
   RootViewController *controller =
      [navigationController.viewControllers objectAtIndex:0]; 
   
   // get all the slideshows from controller
   NSArray *slideshows = controller.slideshows;
   
   // archive the slideshows to the file data.slideshows
   [NSKeyedArchiver archiveRootObject:slideshows toFile:filePath];
} // end method applicationWillTerminate:

#pragma mark -
#pragma mark Memory management

- (void)dealloc
{
   [navigationController release];
   [window release];
   [super dealloc];
}
@end


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

