// SlideshowDataViewController.h
// Manages the pictures, sounds and effects of a slideshow.
#import <MediaPlayer/MediaPlayer.h>
#import "SlideshowViewController.h"
#import "Slideshow.h"
#import "MediaItemCreator.h"

const static float rowHeight = 100; // the height of each row

@interface SlideshowDataViewController : UITableViewController
   <UIImagePickerControllerDelegate, UINavigationControllerDelegate,
   MPMediaPickerControllerDelegate, UIActionSheetDelegate,
   NameChooserDelegate>
{   
   Slideshow *slideshow; // the slideshow the user is editing
   UIImagePickerController *imagePicker; // prompts user to pick an image
   MPMediaPickerController *musicPicker; // prompts user to pick music
   UIActionSheet *effectSheet; // sheet for choosing a transition effect
   UIToolbar *toolbar; // the toolbar at the bottom of the view
   UIImageView *firstImageView; // the first image of the slideshow
   BOOL firstLoad; // is this the first load of this object?
   BOOL returnFromImagePicker; // are we returning from the image picker?
} // end instance variable declaration

- (id)initWithSlideshow:(Slideshow *)s; // initialize with a slideshow
- (void)addPhoto; // prompts the user to add a new photo or video
- (void)addMusic; // prompts the user to add music to the slideshow
- (void)addEffect; // prompts the user to choose a transition effect
- (void)startSlideshow; // starts the slideshow
@end // end interface SlideshowDataController


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

