//  FlipsideViewController.h
//  Controller for the flipside of the Flag Quiz app
//  Implementation in FlipsideViewController.m
@protocol FlipsideViewControllerDelegate;

@interface FlipsideViewController : UIViewController
{
   // stores an object that will receive the delegate messages
   id <FlipsideViewControllerDelegate> delegate;
   
   // control for selecting the number of choices in the quiz
   IBOutlet UISegmentedControl *choicesControl;
   
   // switches to include/exclude each region in the quiz
   IBOutlet UISwitch *africaSwitch;
   IBOutlet UISwitch *asiaSwitch;
   IBOutlet UISwitch *europeSwitch;
   IBOutlet UISwitch *northAmericaSwitch;
   IBOutlet UISwitch *oceaniaSwitch;
   IBOutlet UISwitch *southAmericaSwitch;
} // end instance variable declarations

// declare delegate and outlets as properties
@property(nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;
@property(nonatomic, retain) IBOutlet UISegmentedControl *choicesControl;
@property(nonatomic, retain) IBOutlet UISwitch *africaSwitch;
@property(nonatomic, retain) IBOutlet UISwitch *asiaSwitch;
@property(nonatomic, retain) IBOutlet UISwitch *europeSwitch;
@property(nonatomic, retain) IBOutlet UISwitch *northAmericaSwitch;
@property(nonatomic, retain) IBOutlet UISwitch *oceaniaSwitch;
@property(nonatomic, retain) IBOutlet UISwitch *southAmericaSwitch;

- (IBAction)done; // return to the MainView
- (void)setSwitches:(NSDictionary *)dictionary; // set the Swtich's states
- (void)setSelectedIndex:(int)index; // set selected segment
@end // end interface FlipsideViewController

@protocol FlipsideViewControllerDelegate // begin delegate protocol

// notifies the MainViewController that the "Done" button was touched
- (void)flipsideViewControllerDidFinish:
   (FlipsideViewController *)controller;
@end // end protocol FlipsideViewControllerDelegate


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

