// Controller.h
// Controller class for the Route Tracker app interface declaration
// Implementation in Controller.m
#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreLocation/CoreLocation.h>
#import "TrackingMapView.h"

@interface Controller : UIViewController <MKMapViewDelegate,
   CLLocationManagerDelegate>
{
   // touched to start or stop tracking
   IBOutlet UIBarButtonItem *startButton; 
   TrackingMapView *trackingMapView; // View displaying the map and route
   IBOutlet MKMapView *mapView; // represents the map
   CLLocationManager *locationManager; // provides location information
   BOOL tracking; // is the app tracking?
   float distance; // the distance traveled by the user
   NSDate *startDate; // stores the time when tracking began
   CLHeading *heading; // the compass heading of the iPhone
} // end instance variable declaration

// declare our outlets as properties
@property (nonatomic,retain) IBOutlet UIBarButtonItem *startButton;
@property (nonatomic,retain) IBOutlet MKMapView *mapView; 
 
- (IBAction)toggleTracking; // switch between tracking or not tracking
- (IBAction)resetMap; // resets the MKMapView
- (IBAction)selectMapMode:sender; // select type of map displayed
@end // end interface Controller

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

