// NameViewController.m
// Implementation of NameViewController.
#import "NameViewController.h"

@implementation NameViewController

@synthesize delegate; // synthesize get and set methods for delegate
@synthesize textField; // synthesize get and set methods for textField

// called when the View finishes loading
- (void)viewDidLoad
{
   [super viewDidLoad]; // calls the superclass's viewDidLoad method
   
   // select the text field to make the keyboard appear
   [textField becomeFirstResponder];
} // end method viewDidLoad

// call when the user touches the Done button on the keyboard
- (IBAction)finishedNaming:sender
{
   // inform the delegate that the user chose a name
   [delegate nameViewController:self didGetName:textField.text];
} // end method finishedNaming:
@end // NameRecoringViewController implementation

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

