// SlideshowCell.m
// SlideshowCell implementation
#import "SlideshowCell.h"

@implementation SlideshowCell

@synthesize delegate; // generate get and set methods for delegate
@synthesize thumbnail; // generate get and set methods for thumbnail
@synthesize title; // generate get and set methods for title

// initialize the SlideshowCell
- (id)initWithStyle:(UITableViewCellStyle)style
    reuseIdentifier:(NSString *)reuseIdentifier
{
   // if the superclass initialized properly
   if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier])
   {
      // initialize thumbnail
      thumbnail = 
         [[UIImageView alloc] initWithFrame:CGRectMake(20, 10, 120, 76)];
      
      // make the image scale to fit the view
      thumbnail.contentMode = UIViewContentModeScaleAspectFit;
      
      // initialize title
      title =
         [[UILabel alloc] initWithFrame:CGRectMake(148, 20, 152, 21)];
      
      // initialize editButton
      UIButton *editButton =
      [UIButton buttonWithType:UIButtonTypeRoundedRect];
      
      // set editButton's frame
      editButton.frame = CGRectMake(228, 49, 72, 37);
      
      // set editButton's title
      [editButton setTitle:@"Modify" forState:UIControlStateNormal];
      
      // make editButton call the editSlideshow method when touched
      [editButton addTarget:self action:@selector(editSlideshow)
           forControlEvents:UIControlEventTouchUpInside];
      
      // initialize playButton
      UIButton *playButton =
      [UIButton buttonWithType:UIButtonTypeRoundedRect];
      
      // set playButton's title
      [playButton setTitle:@"Play" forState:UIControlStateNormal];
      
      // set playButton's frame
      playButton.frame = CGRectMake(148, 49, 72, 37);
      
      // make playButton call the playSlideshow method when touched
      [playButton addTarget:self action:@selector(playSlideshow)
           forControlEvents:UIControlEventTouchUpInside];
      
      // add the components to contentView
      [self.contentView addSubview:thumbnail]; // add thumbnail to View
      [self.contentView addSubview:title]; // add title to View
      [self.contentView addSubview:editButton]; // add editButton to View
      [self.contentView addSubview:playButton]; // add playButton to View
   } // end if
   
   return self; // return this object
} // end method initWithFrame:reuseIdentifier:

// called when the edit button is touched
- (void)editSlideshow
{
   // inform the delegate that the edit button was touched
   [delegate slideshowCellDidSelectEditButton:self];
} // end method editSlideshow

// called when the play button is touched
- (void)playSlideshow
{
   // inform the delegate that the play button was touched
   [delegate slideshowCellDidSelectPlayButton:self];
} // end method playSlideshow

// release SlideshowCell's memory
- (void)dealloc
{
   [thumbnail release]; // release the thumbnail UIImageView
   [title release]; // release the title UILabel
   [super dealloc]; // call the superclass's dealloc method
} // end method dealloc
@end

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

