// AirfareCell.h
// A UITableViewCell that displays information about an airfare.
// Implementation in AirfareCell.m
#import <UIKit/UIKit.h>

@interface AirfareCell : UITableViewCell
{
   UILabel *priceLabel; // label that shows the airfare price
   UILabel *originLabel; // label that shows the origin airport
   UILabel *destinationLabel; // label that shows the destination
   UILabel *tweetLabel; // shows the tweet that the airfare came from
   UIImageView *planeView; // shows an image of a plane
} // end instance varibale declarations

// declare all the UILabel instance variables as properties
@property (nonatomic, readonly) UILabel *priceLabel;
@property (nonatomic, readonly) UILabel *originLabel;
@property (nonatomic, readonly) UILabel *destinationLabel;
@property (nonatomic, readonly) UILabel *tweetLabel;
@end // end interface AirfareCell

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

