// Fig. 16.18: AirfareCell.m
// AirfareCell class implementation.
#import "AirfareCell.h"

@implementation AirfareCell

@synthesize priceLabel; // generate get and set methods for priceLabel
@synthesize originLabel; // generate get and set methods for originLabel
@synthesize destinationLabel; // get and set methods for destinationLabel
@synthesize tweetLabel; // generate get and set methods for tweetLabel

// initializes the AirfareCell
- (id)initWithStyle:(UITableViewCellStyle)style
    reuseIdentifier:(NSString *)reuseIdentifier
{
   // if the superclass initializes properly
   if ( self =
       [super initWithStyle:style reuseIdentifier:reuseIdentifier])
   {
      // create the origin and destination labels
      originLabel =
      [[UILabel alloc] initWithFrame:CGRectMake(20, 5, 70, 64)];
      destinationLabel =
      [[UILabel alloc] initWithFrame:CGRectMake(171, 5, 70, 64)];
      
      // create the font for the origin and destination labels
      UIFont *locationFont =
      [UIFont fontWithName:@"CourierNewPS-BoldMT" size:33];
      originLabel.font = locationFont; // apply font to originLabel
      destinationLabel.font = locationFont; // apply font to destination
      
      // set the text color of originLabel to dark blue
      originLabel.textColor =
      [UIColor colorWithRed:0 green:0 blue:0.8 alpha:1];
      
      // set the text color of destinationLabel to dark blue
      destinationLabel.textColor =
      [UIColor colorWithRed:0 green:0 blue:0.8 alpha:1];
      
      // create the price label
      priceLabel =
      [[UILabel alloc] initWithFrame:CGRectMake(250, 2, 83, 64)];
      
      priceLabel.font = [UIFont systemFontOfSize:30]; // set label's font
      
      // set priceLabel's text color
      priceLabel.textColor =
      [UIColor colorWithRed:0 green:0.95 blue:0 alpha:1];
      
      // create tweetLabel
      tweetLabel =
      [[UILabel alloc] initWithFrame:CGRectMake(20, 55, 280, 61)];
      tweetLabel.font = [UIFont systemFontOfSize:14]; // set label's font
      tweetLabel.numberOfLines = 3; // set the number of lines in label
      
      // create the plane image
      UIImage *plane = [UIImage imageNamed:@"plane.png"];
      
      // create an image view for the image
      planeView = [[UIImageView alloc] initWithImage:plane];
      planeView.frame = CGRectMake(102, 20, 51, 34); // set the frame
      
      // add the views to the contentView
      [self.contentView addSubview:originLabel];
      [self.contentView addSubview:destinationLabel];
      [self.contentView addSubview:priceLabel];
      [self.contentView addSubview:tweetLabel];
      [self.contentView addSubview:planeView];
   } // end if
   
   return self; // return this object
} // end method initWithStyle:reuseIdentifer:

// release the AirfareCell's memory
- (void)dealloc
{
   [originLabel release]; // release the originLabel UILabel
   [destinationLabel release]; // release the destinationLabel UILabel
   [priceLabel release]; // release the priceLabel UILabel
   [tweetLabel release]; // release the tweetLabel UILabel
   [super dealloc]; // call the superclass's dealloc method
} // end method dealloc
@end


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

