// AirfareFinder.h
// Fetches tweets and parses them for information.
// Implementation in AirfareFinder.m
#import <Foundation/Foundation.h>
#import "TwitterConnection.h"
#import "Airfare.h"

@protocol AirfareFinderDelegate;

// begin AirfareFinder interface declaration
@interface AirfareFinder : NSObject <TwitterConnectionDelegate>
{
   id <AirfareFinderDelegate> delegate;
   Airfare *currentAirfare;
   NSMutableArray *airfares;
   NSMutableString *currentString;
   BOOL isAirfare;
} // end instance variable declarations

// declare delegate as a property
@property (nonatomic, assign) id <AirfareFinderDelegate> delegate;

- (void)getAirfares; // begins the process of finding the airfares
@end // end interface AirfareFinder

@protocol AirfareFinderDelegate // begin AirfareFinderDelegate declaration

// called when the AirfareFinder finishes finding airfares
- (void)airfareFinder:(AirfareFinder *)finder
   didFindAirfares:(NSArray *)fares;
@end // end protocol AirfareFinderDelegate

@interface NSString (parsing) // begin parsing catagory declaration
- (NSString *)parseCost; // parses the flight cost from the tweet
- (NSArray *)parseLocations; // parses the origin and destination
- (NSString *)removeLink; // removes the link from the tweet's end
@end // end parsing catagory declaration

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

