// RootViewController.h
// The controller for the root view of the TwitterAirfares app.
// Implementation in RootViewController.m
#import "TwitterConnection.h"
#import "AirfareFinder.h"
#import "AirfareCell.h"

// begin RootViewController interface declaration
@interface RootViewController : UITableViewController
<AirfareFinderDelegate>
{
   AirfareFinder *airfareFinder; // finds and parses the tweets
   NSArray *airfares; // the Airfare objects returned from airfareFinder
   UIActivityIndicatorView *activityView; // indicates the app is working
} // end instance variable declarations

// declare airfares as a property
@property (nonatomic, retain) NSArray *airfares;

- (void)refreshFares; // refreshes the list of fares
@end // end interface RootViewController

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

