// WebViewController.m
// Displays the website for purchasing flight tickets
#import "WebViewController.h"

@implementation WebViewController

// generate get and set methods for our properties
@synthesize webView;
@synthesize activity;

// load the website in the web view
- (void)viewDidLoad
{
   [super viewDidLoad]; // call the superclass's viewDidLoad method
   
   // create an NSURL from the url string
   NSURL *url = [NSURL URLWithString:@"http://bit.ly/mobilecheeps"];
   
   // create an NSURLRequest from the NSURL
   NSURLRequest *urlRequest = [NSURLRequest requestWithURL:url];
   [webView loadRequest:urlRequest]; // show the website in webView
   [activity startAnimating];
} // end method viewDidLoad

// called when webView finishes loading the page
- (void)webViewDidFinishLoad:(UIWebView *)webView
{
   [activity stopAnimating];
   activity.hidden = YES;
} // end method webViewDidFinishLoad:

// release this object's memory
- (void)dealloc
{
   [webView release]; // release the webView UIWebView
   [activity release]; // release the activity UIActivityIndicatorView
   [super dealloc];
} // end method dealloc
@end


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

