//  Fig. 14.13: NameRecordingViewController.h
//  Controls a View for naming a recording.
#import <UIKit/UIKit.h>

@protocol NameRecordingDelegate; // declare NameRecordingDelegate protocol

// begin NameRecordingViewController interface
@interface NameRecordingViewController : UIViewController
   <UITextFieldDelegate>
{
   id <NameRecordingDelegate> delegate; // declare the class's delegate
   IBOutlet UITextField *textField; // text field for entering the name
} // end instance variable declaration

// declare delegate and textField as a properties
@property (nonatomic, assign) id <NameRecordingDelegate> delegate;
@property (nonatomic, retain) UITextField *textField;

- (IBAction)finishedNaming:sender; // the user finished entering the name
@end // end interface NameRecordingViewController

// begin NameRecordingDelegate protocol
@protocol NameRecordingDelegate

// informs the delegate that the user chose a name
- (void)nameRecordingViewController:(NameRecordingViewController *)
controller didGetName:(NSString *)fileName;
@end // end protocol NameRecordingDelegate


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

