// Fig. 14.6: VoiceRecorderViewController.h
// VoiceRecorderViewController interface declaration.
#import <AVFoundation/AVFoundation.h>
#import <CoreAudio/CoreAudioTypes.h> 
#import "Visualizer.h"
#import "PlaybackViewController.h"
#import "NameRecordingViewController.h"

// begin VoiceRecorderVewController interface declaration
@interface VoiceRecorderViewController : UIViewController
<PlaybackViewControllerDelegate, NameRecordingDelegate>
{
   IBOutlet Visualizer *visualizer; // store Visualizer
   IBOutlet UIButton *recordButton; // touched to start and stop recording
   AVAudioRecorder *recorder; // records user sound input
   NSTimer *timer; // updates the visualizer every .05 seconds
} // end instance variable declaration

// declare visualizer and recordButton as properties
@property (nonatomic, retain) Visualizer *visualizer;
@property (nonatomic, retain) UIButton *recordButton;

- (IBAction)record:sender; // toggle recording
- (IBAction)flip:sender; // moves to the flipside
@end // end interface VoiceRecorderViewController


/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

